Your message dated Thu, 27 Sep 2012 21:53:58 +0100
with message-id <[email protected]>
and subject line Re: Bug#688984: unblock: linux-atm/2.5.1-1.5
has caused the Debian Bug report #688984,
regarding unblock: linux-atm/2.5.1-1.5
to be marked as done.
This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.
(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact [email protected]
immediately.)
--
688984: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=688984
Debian Bug Tracking System
Contact [email protected] with problems
--- Begin Message ---
Package: release.debian.org
Severity: normal
User: [email protected]
Usertags: unblock
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512
Hi Release-Team!
Please unblock package linux-atm
The postinst for libatm1-dev is now fixed, which wrongly refered to
atm-tools. The piuparts tests detected violation of Policy 12.5 as
upgrades from Squeeze to Wheezy causes this package to have empty
/usr/share/doc/libatm1-dev and thus missing copyright file.
Would it be possible to unblock linux-atm?
This fixed Bug #687857
unblock linux-atm/2.5.1-1.5
Many thanks for your work!
Regards,
Salvatore
- -- System Information:
Debian Release: wheezy/sid
APT prefers unstable
APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Kernel: Linux 2.6.32-5-amd64 (SMP w/8 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
iQIcBAEBCgAGBQJQZLvSAAoJEHidbwV/2GP+xBAP/iha7HI8CANtudTZiVLVY958
o5LVwkhYITe/StJl4pYI9vQEzwHCq+ZqlP1QCI2HrSkQKiAtNJcWOKZsjXJsTsdv
dP5J2/X5l4iCtfZO7M3p5Ygi/p+Zngy3GboqsHRxpSFTz4u/ao8R7xk5VLC62X7a
uF73D7f/nCGJ50y55l1wls9sR8tILMbHl8N3eCMYVD9/ExuMPS4BpIMcDkn8qxAt
n1I3AgpLv3u6GuTseXaCJvyrJ9IJsWK7yVXFlQSd9i+vJXucuF5g9geI4H6C/gyA
i0WasIqA8ZBgX3cCpJ23ah1FNZoeamq++UqFqdsgqJtemOQMVmA+uw1kATXvHTgo
A9roqQK7eszK9O/HhuNBSM78bAC45bTp9PAs/8lUr3b3F7Qk0r9ezGLIhzycS+Ra
I5BU8pP8Ccfri+aYD7i3rhdrDREcNMf1p7niOSy3I/4qTfW/olLFED3nsjuXoOAL
rFbHsg370WMw/KTxrg2hfW7/BuniUVXGL/Wyvc8qNXCHgl0P7UUgr7Jl9Hp+TTco
uNYoHUNT8bRdv5M6O6GrFJF99RNIX8UJDoDErJ2v8fZuwis/n4DVVp9cOZSsfF/s
sFGEUqfbfi5n1EHRkJKh7AhfrFULZDMlXJ5ikWDR6MP0gVMwN0Qgp+MvqX3/fzNn
K2tqsln4azln/nfQs3lG
=uCeZ
-----END PGP SIGNATURE-----
Base version: linux-atm_1:2.5.1-1.4 from testing
Target version: linux-atm_1:2.5.1-1.5 from unstable
No hints in place.
changelog | 10 ++++++++++
libatm1-dev.postinst | 11 +++++++----
2 files changed, 17 insertions(+), 4 deletions(-)
diff -Nru linux-atm-2.5.1/debian/changelog linux-atm-2.5.1/debian/changelog
--- linux-atm-2.5.1/debian/changelog 2012-07-03 01:03:50.000000000 +0000
+++ linux-atm-2.5.1/debian/changelog 2012-09-22 14:18:14.000000000 +0000
@@ -1,3 +1,13 @@
+linux-atm (1:2.5.1-1.5) unstable; urgency=low
+
+ * Non-maintainer upload.
+ * Correct directory in libatm1-dev.postinst.
+ Correct the directory checked for the directory symlink migration to be
+ /usr/share/doc/libatm1-dev for the libatm1-dev binary package. It
+ wrongly refered to /usr/share/doc/atm-tools. (Closes: #687857)
+
+ -- Salvatore Bonaccorso <[email protected]> Sat, 22 Sep 2012 11:03:25 +0200
+
linux-atm (1:2.5.1-1.4) unstable; urgency=low
* Non-maintainer upload.
diff -Nru linux-atm-2.5.1/debian/libatm1-dev.postinst linux-atm-2.5.1/debian/libatm1-dev.postinst
--- linux-atm-2.5.1/debian/libatm1-dev.postinst 2011-10-30 14:35:30.000000000 +0000
+++ linux-atm-2.5.1/debian/libatm1-dev.postinst 2012-09-22 14:18:14.000000000 +0000
@@ -3,12 +3,15 @@
upgrade_quirks() {
[ "$2" ] || return 0
- dpkg --compare-versions $2 lt 1:2.5.1-1.3 || return 0
+ dpkg --compare-versions $2 lt 1:2.5.1-1.5 || return 0
# replaced by a symlink in 1:2.5.1-1.3, but dpkg fails to do it on upgrades
- if [ -d /usr/share/doc/atm-tools -a ! -L /usr/share/doc/atm-tools ] ; then
- rmdir /usr/share/doc/atm-tools
- ln -s /usr/share/doc/libatm1 /usr/share/doc/atm-tools
+ # furthermore the postinst had a bug in 1:2.5.1-1.4 handling wrongly the
+ # /usr/share/doc/libatm1-dev directory (it refered to /usr/share/doc/atm-tools
+ # previously
+ if [ -d /usr/share/doc/libatm1-dev -a ! -L /usr/share/doc/libatm1-dev ] ; then
+ rmdir /usr/share/doc/libatm1-dev
+ ln -s /usr/share/doc/libatm1 /usr/share/doc/libatm1-dev
fi
return 0
--- End Message ---
--- Begin Message ---
On Thu, 2012-09-27 at 22:49 +0200, Salvatore Bonaccorso wrote:
> The postinst for libatm1-dev is now fixed, which wrongly refered to
> atm-tools. The piuparts tests detected violation of Policy 12.5 as
> upgrades from Squeeze to Wheezy causes this package to have empty
> /usr/share/doc/libatm1-dev and thus missing copyright file.
Unblocked; thanks.
Regards,
Adam
--- End Message ---